MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
Attach Knowledge Base to AgentCreate Knowledge BaseDelete Knowledge BaseDetach Knowledge Base from AgentGet Knowledge BaseList Agent's Attached Knowledge BasesList Knowledge Base DocumentsList Embedding ProvidersList My Knowledge BasesUpdate Knowledge Base
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceKnowledge Bases

Create Knowledge Base

POST
/v1/knowledge-bases

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/knowledge-bases" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "embedding_provider_id": "86d1a60e-b1d4-4040-9ce3-d8f39af8870c",    "embedding_model": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",  "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",  "name": "string",  "description": "string",  "embedding_provider_id": "86d1a60e-b1d4-4040-9ce3-d8f39af8870c",  "embedding_model": "string",  "embedding_credential_id": "322e0b94-7b7d-4a7f-b43a-ce6b3307de1a",  "embedding_dim": 0,  "chunk_size": 0,  "chunk_overlap": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Attach Knowledge Base to Agent

Previous Page

Delete Knowledge Base

Next Page

name*Name
description?string|null
org_id?|null
embedding_provider_id*Embedding Provider Id
Formatuuid
embedding_model*Embedding Model
chunk_size?Chunk Size
Default500
chunk_overlap?Chunk Overlap
Default50